View Issue Details

IDProjectCategoryLast Update
0021258AI War 2[All Projects] Crash/ExceptionJun 16, 2019 12:34 am
ReporterUFOAssigned Tox4000Bughunter 
Severityminor 
Status assignedResolutionfixed 
Product VersionBETA 0.866 Hotfix 
Fixed in Version 
Summary0021258: Broken map types (see lowest comments)
DescriptionBugs:
1) Encapsulated map tipe can't be generated! That's why you can't quit from the lobby.
2) 2 times after starting the game and pressing Custom Start I had this kind of error (see the screnshot). I don't know why it happend. The game during the previous launch worked correctly and generated maps good.

Suggestions:
3) Buttons "Randomise seed" and "Regenerate map" mixed up in places.
My logic: I type a seed and press Enter. Nothing happend. So I press the button under the seed window. But it's "Random Seed" button :)
4) In the window with preview of the map - it will be intuitive to hold left mouse button and move the map. For now if you hold left mouse button and make a fast move from up to down (on the planets in the preview), it causes Randomize Seed.
TagsNo tags attached.

Activities

UFO

Jun 1, 2019 7:11 am

reporter  

20190601140840_1.jpg (435,202 bytes)

x4000Bughunter

Jun 3, 2019 8:54 pm

administrator   ~0051797

First stuff!

* In the lobby, the header sizes for some of the text on the map tab line items is now a bit larger.

* In the lobby, on the map tab it now has the Randomize button up next to the Map Seed, as a half-width button again, to show its lesser importance. This definitely helps it be confused with the Regenerate Map button less.

* The game now supports actions being triggered when you press enter or return in textboxes.
** We have to hook this up via a new OnEnterOrReturnPressed() method on a case-by-case basis, but the first place that this is now being used is in the lobby on the map seed textbox. Pressing enter in that now causes the map to regenerate.

x4000Bughunter

Jun 3, 2019 9:10 pm

administrator   ~0051798

Okay, so those fixes are in for 0.865, coming up. Regarding your other comments:

1. The encapsulated map type bug isn't something I can reproduce in 0.864. Maybe it was fixed since your report? I can't remember, honestly. If you still see it, please let me know.
2. I'm thinking that the errors that you were seeing there were related to a prior mapgen error like the encapsulated stuff not working or whatever.
3. This is handled, fairly similarly to what you suggested. Thanks!
4. The entire way the map is shown and interacted-with on this screen is going to be changing, and is just temporary right now. Sorry about the confusion.

UFO

Jun 4, 2019 4:06 am

reporter   ~0051802

Thank you very much!
It seems that was my personal bugs. Something went wrong with Player Data files during updates.
Steam verify did not help. So I disabled Steam Cloud and deleted PlayerData folder. Everything works now!

UFO

Jun 4, 2019 4:25 am

reporter   ~0051803

p.s. Sorry, but now I have a new error :)
v0.864 Octopus map type - stable crash (2 screenshots).

Octopus1.jpg (242,114 bytes)
Octopus1.jpg (242,114 bytes)
Octopus2.jpg (196,901 bytes)
Octopus2.jpg (196,901 bytes)

x4000Bughunter

Jun 4, 2019 9:43 am

administrator   ~0051804

Thanks! For the next build:

* Put in some defensive code that will give us better errors when there are problems linking planets up in octopus maps or various others.
** This likely won't fix the actual issue, but will let us find out where the issue actually lies.

UFO

Jun 4, 2019 4:07 pm

reporter   ~0051834

v0.865 Octopus map type - new crash message

20190604235928_1.jpg (433,397 bytes)

UFO

Jun 6, 2019 1:37 pm

reporter   ~0051874

I made some more tests :) Maximum amount of planets was set for every type.
1) Octopus - broken (see the previous post)
2) Clusters - only Large works, all other broken. No message, just blocks lobby forever.
3) Encapsulated - Low broken. No message, just blocks lobby forever.
4) Realistic - Big Circle broken. Short message (not generate a planet), but don't blocks lobby!

x4000Bughunter

Jun 6, 2019 3:02 pm

administrator   ~0051875

Are there any messages being logged in PlayerData, in ArcenDebugLog.txt or similar?

Can you go into the settings and turn on the mapgen logging in the debug section and upload the result from one of the times it hangs?

I'm unable to duplicate your problem so far...

UFO

Jun 6, 2019 3:53 pm

reporter   ~0051878

Here is the log with mapgen loging enabled.
It was 2 hangs with different map types.

ArcenDebugLog.txt (17,622 bytes)
6/6/2019 11:46:54 PM	Resolution changed to windowed 1000x600
6/6/2019 11:46:54 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
6/6/2019 11:46:54 PM	Applied Framerate Type: 144 FPS (vsync: 0 targetFPS:144)
6/6/2019 11:47:04 PM	ArcenAssetBundleCache.InstantiatedObjects: 759
6/6/2019 11:47:05 PM	Game Version: 0.866
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 7  (6.1.0) 64bit
graphicsDeviceName: NVIDIA GeForce GTX 1050 Ti
graphicsDeviceID: 7298
graphicsDeviceVendor: NVIDIA
graphicsDeviceVendorID: 4318
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 3998
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-7500 CPU @ 3.40GHz
processorCount: 4
processorFrequency: 3408
systemMemorySize: 8147
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
6/6/2019 11:47:05 PM	11.2 seconds total load time.

LoadFinalSFXStuff (7.3s)
GameEntityTypeDataTable.Initialize (0.3s)
GameEntityTypeDataTable.InitVisualBits (1.4s)
SurrogateTableTable (0.5s)
6/6/2019 11:47:05 PM
Hello Steam user 'starshatter'

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <35eed4c1a7af43f49a39aac0e2846d80>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <35eed4c1a7af43f49a39aac0e2846d80>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <35eed4c1a7af43f49a39aac0e2846d80>:0 
  at ArcenGameController.Update () [0x00000] in <03f6f117f10f4b26a85c658813aeb19b>:0 

6/6/2019 11:47:21 PM	Resolution changed to windowed 1000x600
6/6/2019 11:47:21 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
6/6/2019 11:47:21 PM	Applied Framerate Type: 144 FPS (vsync: 0 targetFPS:144)
6/6/2019 11:47:23 PM	Start Generate Partial Map with Realistic and seed 421713480 and planet count 80 and 11 factions
6/6/2019 11:47:23 PM	World Created, Launching Server
6/6/2019 11:47:23 PM	Successfully opened host socket
6/6/2019 11:47:36 PM	Start Generate Partial Map with Clusters and seed 421713480 and planet count 80 and 11 factions
6/6/2019 11:47:36 PM	Generate Partial Map Complete
6/6/2019 11:47:39 PM	Start Generate Partial Map with Clusters and seed 421713480 and planet count 80 and 11 factions
6/6/2019 11:47:39 PM	Generate Partial Map Complete
6/6/2019 11:47:45 PM	Start Generate Partial Map with Clusters and seed 421713480 and planet count 200 and 11 factions
6/6/2019 11:47:55 PM	PLAYER DISCONNECTED 0.0.0.0=>0
6/6/2019 11:47:55 PM
WorkThread failed with exception:
ThreadAbortException

===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	WorkThreadOnly_StartNewGame	47	242	0	0
	<StartWorkThread>b__0	17	86	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame () [0x0002f] in <0dcc75e5090c4bd199b8e560c79a8e81>:0 
  at Arcen.AIW2.Core.Engine_AIW2+<>c__DisplayClass60_0.<StartWorkThread>b__0 (System.Object <p0>) [0x00011] in <0dcc75e5090c4bd199b8e560c79a8e81>:0 

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <35eed4c1a7af43f49a39aac0e2846d80>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <35eed4c1a7af43f49a39aac0e2846d80>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <35eed4c1a7af43f49a39aac0e2846d80>:0 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x00000] in <35eed4c1a7af43f49a39aac0e2846d80>:0 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message) [0x00000] in <35eed4c1a7af43f49a39aac0e2846d80>:0 
  at Arcen.AIW2.Core.Engine_AIW2+<>c__DisplayClass60_0.<StartWorkThread>b__0 (System.Object <p0>) [0x00000] in <0dcc75e5090c4bd199b8e560c79a8e81>:0 
  at System.Threading.QueueUserWorkItemCallback.WaitCallback_Context (System.Object state) [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at System.Threading.QueueUserWorkItemCallback.System.Threading.IThreadPoolWorkItem.ExecuteWorkItem () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at System.Threading.ThreadPoolWorkQueue.Dispatch () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at System.Threading._ThreadPoolWaitCallback.PerformWaitCallback () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 

6/6/2019 11:49:47 PM	Current directory used: D:/Program Files/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: D:/Program Files/Steam/steamapps/common/AI War 2/PlayerData/
6/6/2019 11:49:47 PM	Resolution changed to windowed 1000x600
6/6/2019 11:49:47 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
6/6/2019 11:49:47 PM	Applied Framerate Type: 144 FPS (vsync: 0 targetFPS:144)
6/6/2019 11:49:57 PM	ArcenAssetBundleCache.InstantiatedObjects: 759
6/6/2019 11:49:58 PM	Game Version: 0.866
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 7  (6.1.0) 64bit
graphicsDeviceName: NVIDIA GeForce GTX 1050 Ti
graphicsDeviceID: 7298
graphicsDeviceVendor: NVIDIA
graphicsDeviceVendorID: 4318
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 3998
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-7500 CPU @ 3.40GHz
processorCount: 4
processorFrequency: 3408
systemMemorySize: 8147
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
6/6/2019 11:49:58 PM	11.1 seconds total load time.

LoadFinalSFXStuff (7.2s)
GameEntityTypeDataTable.Initialize (0.3s)
GameEntityTypeDataTable.InitVisualBits (1.4s)
SurrogateTableTable (0.5s)
6/6/2019 11:49:58 PM
Hello Steam user 'starshatter'

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <35eed4c1a7af43f49a39aac0e2846d80>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <35eed4c1a7af43f49a39aac0e2846d80>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <35eed4c1a7af43f49a39aac0e2846d80>:0 
  at ArcenGameController.Update () [0x00000] in <03f6f117f10f4b26a85c658813aeb19b>:0 

6/6/2019 11:50:06 PM	Start Generate Partial Map with Realistic and seed 85694619 and planet count 100 and 11 factions
6/6/2019 11:50:06 PM	World Created, Launching Server
6/6/2019 11:50:06 PM	Successfully opened host socket
6/6/2019 11:50:10 PM	Start Generate Partial Map with Octopus and seed 85694619 and planet count 100 and 11 factions
6/6/2019 11:50:10 PM	Generate Partial Map Complete
6/6/2019 11:50:10 PM	 NOT GENERATE A PLANET BAD JUJU GURU #253421 (more than 1000 failures trying to add planets in circle, so maybe not room?)

 NOT GENERATE A PLANET BAD JUJU GURU #253421 (more than 1000 failures trying to add planets in circle, so maybe not room?)

 NOT GENERATE A PLANET BAD JUJU GURU #253421 (more than 1000 failures trying to add planets in circle, so maybe not room?)

linkPlanetLists error at debugStage 50 
System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.AIW2.External.BadgerUtilityMethods.linkPlanetLists (System.Collections.Generic.List`1[T] currentPlanets, System.Collections.Generic.List`1[T] newPlanets, Arcen.Universal.ArcenPoint centerOfNewPlanets, System.Boolean combinePlanets) [0x000a4] in <6a8d557d7028498ebd513b5486dde3c9>:0 

linkPlanetLists error at debugStage 110 
System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.AIW2.External.BadgerUtilityMethods.linkPlanetLists (System.Collections.Generic.List`1[T] currentPlanets, System.Collections.Generic.List`1[T] newPlanets, Arcen.Universal.ArcenPoint centerOfNewPlanets, System.Boolean combinePlanets) [0x00153] in <6a8d557d7028498ebd513b5486dde3c9>:0 

linkPlanetLists error at debugStage 50 
System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.AIW2.External.BadgerUtilityMethods.linkPlanetLists (System.Collections.Generic.List`1[T] currentPlanets, System.Collections.Generic.List`1[T] newPlanets, Arcen.Universal.ArcenPoint centerOfNewPlanets, System.Boolean combinePlanets) [0x000a4] in <6a8d557d7028498ebd513b5486dde3c9>:0 

linkPlanetLists error at debugStage 110 
System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.AIW2.External.BadgerUtilityMethods.linkPlanetLists (System.Collections.Generic.List`1[T] currentPlanets, System.Collections.Generic.List`1[T] newPlanets, Arcen.Universal.ArcenPoint centerOfNewPlanets, System.Boolean combinePlanets) [0x00153] in <6a8d557d7028498ebd513b5486dde3c9>:0 

 NOT GENERATE A PLANET BAD JUJU GURU #253421 (more than 1000 failures trying to add planets in circle, so maybe not room?)

MAPGEN ERROR: System.ArgumentOutOfRangeException: Index was out of range. Must be non-negative and less than the size of the collection.
Parameter name: index
  at System.ThrowHelper.ThrowArgumentOutOfRangeException (System.ExceptionArgument argument, System.ExceptionResource resource) [0x00029] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at System.ThrowHelper.ThrowArgumentOutOfRangeException () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.AIW2.External.BadgerUtilityMethods.createMinimumSpanningTree (System.Collections.Generic.List`1[T] planetsForMap) [0x001fc] in <6a8d557d7028498ebd513b5486dde3c9>:0 
  at Arcen.AIW2.External.Mapgen_Octopus.CreateClusterOfPlanets (System.Collections.Generic.List`1[T] cluster, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.ArcenSimContext Context, System.Int32 radius, Arcen.Universal.ArcenPoint galacticCenter, System.Int32 minDistanceBetweenPlanets, System.Int32 alignmentNumber, System.Int32 clusterSize, System.Collections.Generic.List`1[Arcen.Universal.ArcenPoint]& allPoints, Arcen.Universal.AngleDegrees armAngle, Arcen.AIW2.External.LinkMethod linkingMethod, System.Int32 distForThisArm) [0x00102] in <6a8d557d7028498ebd513b5486dde3c9>:0 
  at Arcen.AIW2.External.Mapgen_Octopus.Generate (Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.ArcenSimContext Context, Arcen.AIW2.Core.MapConfiguration mapConfig, Arcen.AIW2.Core.MapTypeData mapType) [0x005cc] in <6a8d557d7028498ebd513b5486dde3c9>:0 
  at Arcen.AIW2.Core.World_AIW2.CreateGalaxies (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006f] in <0dcc75e5090c4bd199b8e560c79a8e81>:0 
  at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame () [0x002cd] in <0dcc75e5090c4bd199b8e560c79a8e81>:0 


6/6/2019 11:50:10 PM
-----------
Exception: window: Window_ModalOK
System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.Window_ModalOK.GetShouldDrawThisFrame_Subclass () [0x00024] in <6a8d557d7028498ebd513b5486dde3c9>:0 
  at Arcen.AIW2.External.WindowControllerAbstractBase.GetShouldDrawThisFrame () [0x0008c] in <6a8d557d7028498ebd513b5486dde3c9>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdate (System.Single DeltaTime) [0x00013] in <35eed4c1a7af43f49a39aac0e2846d80>:0 
  at Arcen.Universal.ArcenUI.OnUpdateFromMainThread () [0x00071] in <35eed4c1a7af43f49a39aac0e2846d80>:0 
Stack Trace: Arcen.Universal.ArcenUI.OnUpdateFromMainThread () (at <35eed4c1a7af43f49a39aac0e2846d80>:0)
Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () (at <35eed4c1a7af43f49a39aac0e2846d80>:0)
ArcenGameController.Update () (at <03f6f117f10f4b26a85c658813aeb19b>:0)



  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <35eed4c1a7af43f49a39aac0e2846d80>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <35eed4c1a7af43f49a39aac0e2846d80>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <35eed4c1a7af43f49a39aac0e2846d80>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <35eed4c1a7af43f49a39aac0e2846d80>:0 
  at Arcen.Universal.Engine_Universal.LogWrittenFromUnity (System.String LogString, System.String StackTrace, UnityEngine.LogType Type) [0x00000] in <35eed4c1a7af43f49a39aac0e2846d80>:0 
  at UnityEngine.Application.CallLogCallback (System.String logString, System.String stackTrace, UnityEngine.LogType type, System.Boolean invokedOnMainThread) [0x00000] in <ca1d1fd848884ed5a84a515243f09e15>:0 

6/6/2019 11:50:10 PM
ErrorsReportedByEngine:    -----------
Exception: window: Window_ModalOK
System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.Window_ModalOK.GetShouldDrawThisFrame_Subclass () [0x00024] in <6a8d557d7028498ebd513b5486dde3c9>:0 
  at Arcen.AIW2.External.WindowControllerAbstractBase.GetShouldDrawThisFrame () [0x0008c] in <6a8d557d7028498ebd513b5486dde3c9>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdate (System.Single DeltaTime) [0x00013] in <35eed4c1a7af43f49a39aac0e2846d80>:0 
  at Arcen.Universal.ArcenUI.OnUpdateFromMainThread () [0x00071] in <35eed4c1a7af43f49a39aac0e2846d80>:0 
Stack Trace: Arcen.Universal.ArcenUI.OnUpdateFromMainThread () (at <35eed4c1a7af43f49a39aac0e2846d80>:0)
Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () (at <35eed4c1a7af43f49a39aac0e2846d80>:0)
ArcenGameController.Update () (at <03f6f117f10f4b26a85c658813aeb19b>:0)



  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <35eed4c1a7af43f49a39aac0e2846d80>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <35eed4c1a7af43f49a39aac0e2846d80>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <35eed4c1a7af43f49a39aac0e2846d80>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText, System.Boolean SuppressArcenDebugLog) [0x00000] in <35eed4c1a7af43f49a39aac0e2846d80>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText) [0x00000] in <35eed4c1a7af43f49a39aac0e2846d80>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <35eed4c1a7af43f49a39aac0e2846d80>:0 
  at Arcen.Universal.Engine_Universal.LogWrittenFromUnity (System.String LogString, System.String StackTrace, UnityEngine.LogType Type) [0x00000] in <35eed4c1a7af43f49a39aac0e2846d80>:0 
  at UnityEngine.Application.CallLogCallback (System.String logString, System.String stackTrace, UnityEngine.LogType type, System.Boolean invokedOnMainThread) [0x00000] in <ca1d1fd848884ed5a84a515243f09e15>:0 

6/6/2019 11:50:25 PM	PLAYER DISCONNECTED 0.0.0.0=>0
ArcenDebugLog.txt (17,622 bytes)

x4000Bughunter

Jun 6, 2019 4:28 pm

administrator   ~0051880

Okay, I've fixed this for 0.877:

* Fixed a very strange bug that could lead to error messages not popping up because mysteriously the modal popup data was null.
** This will now remove the offending popup message and silently log an error to the log since trying to put another popup in there when the popup just failed is probably not the best idea.

But I don't think that's the core issue at all.

x4000Bughunter

Jun 6, 2019 4:30 pm

administrator   ~0051881

To further debug the specific hangs, I'll need the MapGen.txt from in PlayerData now that you have mapgen logging turned on. Sorry about that confusion!

UFO

Jun 6, 2019 4:35 pm

reporter   ~0051882

No problem!

MapGen.txt (5,651 bytes)
************************************************************
UpdateExternalCodeControllersOnEnabledLobbySettings
************************************************************
************************************************************
Factions
************************************************************
Faction Create: NaturalObject (0) SpecialFactionData: NaturalObject   Implementation: True
Faction Create: AI (1) SpecialFactionData: AI   Implementation: True
Faction Create: SpecialFaction (2) SpecialFactionData: AISpecialForces   Implementation: True
Faction Create: SpecialFaction (3) SpecialFactionData: HunterFleet   Implementation: True
Faction Create: SpecialFaction (4) SpecialFactionData: AntiAIZombie   Implementation: True
Faction Create: SpecialFaction (5) SpecialFactionData: AntiPlayerZombie   Implementation: True
Faction Create: SpecialFaction (6) SpecialFactionData: AntiEveryoneZombie   Implementation: True
Faction Create: SpecialFaction (7) SpecialFactionData: AntagonizedDysonSphere   Implementation: True
Faction Create: SpecialFaction (8) SpecialFactionData: Instigators   Implementation: True
Faction Create: SpecialFaction (9) SpecialFactionData: Mercenary   Implementation: True
Faction Create: Player (10) SpecialFactionData: Human   Implementation: True
Human Remnant: ControlledByPlayerAccounts_DuringGame(1)
Proccess Faction: NaturalObject NaturalObject, 0 FactionConfig: 0 NaturalObject
Proccess Faction: AI AI, 1 FactionConfig: 0 AI
ProcessFactionConfigCustomFields SettingType: CustomDropdownSurrogateTable  field.InternalName: AIType  fieldValue: 'FullEnsemble'
AI type assignment: FullEnsemble
ProcessFactionConfigCustomFields SettingType: CustomDropdownSurrogateTable  field.InternalName: AIDifficulty  fieldValue: 'Normal'
ProcessFactionConfigCustomFields SettingType: TeamColorPopup_BorderOnly  field.InternalName: AISpecialForces_BorderColor  fieldValue: 'cF4C431'
ProcessFactionConfigCustomFields SettingType: CustomDropdownSurrogateTable  field.InternalName: SpecialForcesType  fieldValue: 'BaseOriented'
ProcessFactionConfigCustomFields SettingType: CustomDropdownSurrogateTable  field.InternalName: AIDifficulty_WardenFleet  fieldValue: 'Normal'
ProcessFactionConfigCustomFields SettingType: TeamColorPopup_BorderOnly  field.InternalName: HunterFleet_BorderColor  fieldValue: 'cFF3365'
ProcessFactionConfigCustomFields SettingType: CustomDropdownSurrogateTable  field.InternalName: HunterFleetType  fieldValue: 'Normal'
ProcessFactionConfigCustomFields SettingType: CustomDropdownSurrogateTable  field.InternalName: AIDifficulty_HunterFleet  fieldValue: 'Normal'
Proccess Faction: SpecialFaction AISpecialForces, 2 FactionConfig: 0 AISpecialForces
Proccess Faction: SpecialFaction HunterFleet, 3 FactionConfig: 0 HunterFleet
Proccess Faction: SpecialFaction AntiAIZombie, 4 FactionConfig: 0 AntiAIZombie
Proccess Faction: SpecialFaction AntiPlayerZombie, 5 FactionConfig: 0 AntiPlayerZombie
Proccess Faction: SpecialFaction AntiEveryoneZombie, 6 FactionConfig: 0 AntiEveryoneZombie
Proccess Faction: SpecialFaction AntagonizedDysonSphere, 7 FactionConfig: 0 AntagonizedDysonSphere
Proccess Faction: SpecialFaction Instigators, 8 FactionConfig: 0 Instigators
Proccess Faction: SpecialFaction Mercenary, 9 FactionConfig: 0 Mercenary
Proccess Faction: Player Human, 10 FactionConfig: 0 Human
ProcessFactionConfigCustomFields SettingType: CustomDropdownCoreTableSubset  field.InternalName: StartingFleet  fieldValue: 'ClassicStartingFleet'
ProcessFactionConfigCustomFields SettingType: IntSlider  field.InternalName: HumanCryogenicPodsToStartWith  fieldValue: '10'
ProcessFactionConfigCustomFields SettingType: IntSlider  field.InternalName: HomeHumanSettlementsToStartWith  fieldValue: '2'
************************************************************
Galaxies
************************************************************
MAPGEN ERROR: System.ArgumentOutOfRangeException: Index was out of range. Must be non-negative and less than the size of the collection.
Parameter name: index
  at System.ThrowHelper.ThrowArgumentOutOfRangeException (System.ExceptionArgument argument, System.ExceptionResource resource) [0x00029] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at System.ThrowHelper.ThrowArgumentOutOfRangeException () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.AIW2.External.BadgerUtilityMethods.createMinimumSpanningTree (System.Collections.Generic.List`1[T] planetsForMap) [0x001fc] in <6a8d557d7028498ebd513b5486dde3c9>:0 
  at Arcen.AIW2.External.Mapgen_Octopus.CreateClusterOfPlanets (System.Collections.Generic.List`1[T] cluster, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.ArcenSimContext Context, System.Int32 radius, Arcen.Universal.ArcenPoint galacticCenter, System.Int32 minDistanceBetweenPlanets, System.Int32 alignmentNumber, System.Int32 clusterSize, System.Collections.Generic.List`1[Arcen.Universal.ArcenPoint]& allPoints, Arcen.Universal.AngleDegrees armAngle, Arcen.AIW2.External.LinkMethod linkingMethod, System.Int32 distForThisArm) [0x00102] in <6a8d557d7028498ebd513b5486dde3c9>:0 
  at Arcen.AIW2.External.Mapgen_Octopus.Generate (Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.ArcenSimContext Context, Arcen.AIW2.Core.MapConfiguration mapConfig, Arcen.AIW2.Core.MapTypeData mapType) [0x005cc] in <6a8d557d7028498ebd513b5486dde3c9>:0 
  at Arcen.AIW2.Core.World_AIW2.CreateGalaxies (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006f] in <0dcc75e5090c4bd199b8e560c79a8e81>:0 
  at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame () [0x002cd] in <0dcc75e5090c4bd199b8e560c79a8e81>:0 
MapgenTime: 29ms
MapGen.txt (5,651 bytes)

wm46

Jun 6, 2019 8:55 pm

reporter   ~0051884

There's a really weird map gen bug occurring with the Big Circle variant of Simple and Realistic. Here's the snippet of debug log that gets output:

6/6/2019 8:44:14 PM Start Generate Partial Map with Realistic and seed 541663781 and planet count 86 and 11 factions
6/6/2019 8:44:14 PM Generate Partial Map Complete
6/6/2019 8:44:14 PM NOT GENERATE A PLANET BAD JUJU GURU #253421 (more than 1000 failures trying to add planets in circle, so maybe not room?)

And the mapgen.txt is not helpful at all. The map gen log says its actually trying to generate a map with 60 planets for a small clusters type, even though it's not that at all. Really weird bug.

MapGen-2.txt (10,615 bytes)
************************************************************
UpdateExternalCodeControllersOnEnabledLobbySettings
************************************************************
************************************************************
Factions
************************************************************
Faction Create: NaturalObject (0) SpecialFactionData: NaturalObject   Implementation: True
Faction Create: AI (1) SpecialFactionData: AI   Implementation: True
Faction Create: SpecialFaction (2) SpecialFactionData: AISpecialForces   Implementation: True
Faction Create: SpecialFaction (3) SpecialFactionData: HunterFleet   Implementation: True
Faction Create: SpecialFaction (4) SpecialFactionData: AntiAIZombie   Implementation: True
Faction Create: SpecialFaction (5) SpecialFactionData: AntiPlayerZombie   Implementation: True
Faction Create: SpecialFaction (6) SpecialFactionData: AntiEveryoneZombie   Implementation: True
Faction Create: SpecialFaction (7) SpecialFactionData: AntagonizedDysonSphere   Implementation: True
Faction Create: SpecialFaction (8) SpecialFactionData: Instigators   Implementation: True
Faction Create: SpecialFaction (9) SpecialFactionData: Mercenary   Implementation: True
Faction Create: Player (10) SpecialFactionData: Human   Implementation: True
Human Remnant: ControlledByPlayerAccounts_DuringGame(1)
Proccess Faction: NaturalObject NaturalObject, 0 FactionConfig: 0 NaturalObject
Proccess Faction: AI AI, 1 FactionConfig: 0 AI
ProcessFactionConfigCustomFields SettingType: CustomDropdownSurrogateTable  field.InternalName: AIType  fieldValue: 'FullEnsemble'
AI type assignment: FullEnsemble
ProcessFactionConfigCustomFields SettingType: CustomDropdownSurrogateTable  field.InternalName: AIDifficulty  fieldValue: 'Normal'
ProcessFactionConfigCustomFields SettingType: TeamColorPopup_BorderOnly  field.InternalName: AISpecialForces_BorderColor  fieldValue: 'cF4C431'
ProcessFactionConfigCustomFields SettingType: CustomDropdownSurrogateTable  field.InternalName: SpecialForcesType  fieldValue: 'BaseOriented'
ProcessFactionConfigCustomFields SettingType: CustomDropdownSurrogateTable  field.InternalName: AIDifficulty_WardenFleet  fieldValue: 'Normal'
ProcessFactionConfigCustomFields SettingType: TeamColorPopup_BorderOnly  field.InternalName: HunterFleet_BorderColor  fieldValue: 'cFF3365'
ProcessFactionConfigCustomFields SettingType: CustomDropdownSurrogateTable  field.InternalName: HunterFleetType  fieldValue: 'Normal'
ProcessFactionConfigCustomFields SettingType: CustomDropdownSurrogateTable  field.InternalName: AIDifficulty_HunterFleet  fieldValue: 'Normal'
Proccess Faction: SpecialFaction AISpecialForces, 2 FactionConfig: 0 AISpecialForces
Proccess Faction: SpecialFaction HunterFleet, 3 FactionConfig: 0 HunterFleet
Proccess Faction: SpecialFaction AntiAIZombie, 4 FactionConfig: 0 AntiAIZombie
Proccess Faction: SpecialFaction AntiPlayerZombie, 5 FactionConfig: 0 AntiPlayerZombie
Proccess Faction: SpecialFaction AntiEveryoneZombie, 6 FactionConfig: 0 AntiEveryoneZombie
Proccess Faction: SpecialFaction AntagonizedDysonSphere, 7 FactionConfig: 0 AntagonizedDysonSphere
Proccess Faction: SpecialFaction Instigators, 8 FactionConfig: 0 Instigators
Proccess Faction: SpecialFaction Mercenary, 9 FactionConfig: 0 Mercenary
Proccess Faction: Player Human, 10 FactionConfig: 0 Human
ProcessFactionConfigCustomFields SettingType: CustomDropdownCoreTableSubset  field.InternalName: StartingFleet  fieldValue: 'ClassicStartingFleet'
ProcessFactionConfigCustomFields SettingType: IntSlider  field.InternalName: HumanCryogenicPodsToStartWith  fieldValue: '10'
ProcessFactionConfigCustomFields SettingType: IntSlider  field.InternalName: HomeHumanSettlementsToStartWith  fieldValue: '2'
************************************************************
Galaxies
************************************************************
Generated Planet Count: 60
Helper_AssignHumanHomeworld: 0 for player at faction index 10 planet: Zanzibar Reason: Direct Player Choice
Ownership layout SmallClusters for 1 ai factions
Randomly assigned 0 planets
SetInitialPlayerVision
ExploredByNaturalMeans: Zanzibar
PermanentlyWatched: Herado
PermanentlyWatched: Bolo
PermanentlyWatched: Caliban
ExploredByNaturalMeans: Rhodia
ExploredByNaturalMeans: Kalgan
ExploredByNaturalMeans: Mote
ExploredByNaturalMeans: Schischak
PermanentlyWatched (HumanHomeworld): Zanzibar
AssignDefenseValuesTo: faction: AI (1)
AssignDefenseValuesTo: SentinelsExternalIsFilled: True
************************************************************
SeedNormalEntities for planet count: 60
************************************************************
ZanzibarSeedNormalEntities, planet.PopulationType HumanHomeworld planet.Factions.Count: 11
FactionType.AI: HumanHomeworld: testShipDatas.Count( 0 )
FactionType.Player: planet Zanzibar: probably a success.
RhodiaSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
HeradoSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
GoguenSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
ThoneSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
LevinSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
AhnitSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
LevchinSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
BaldurSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
WaltzSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
GonnetSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
RieseSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
SeldonSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
StamperSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
EleeSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
ArraratSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
CarabaliloSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
HiyenSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FlintSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
BalSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
SchischakSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
BrinkkemperSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
WarwickSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
HalpernSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
YinSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
TanithSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
YuonSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
CovenantSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
WirthSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
FulsonSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
VitaliSeedNormalEntities, planet.PopulationType AIHomeworld planet.Factions.Count: 11
FactionType.AI: AIHomeworld: probably a success.
MoteSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
HuffmanSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
PitarSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
DumaisSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
EasleySeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
TarianSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
BowenSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
AtanasoffSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
MesaSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
KalganSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
GundelSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
HatherianSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
CorrinSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
GilesSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
PresidioSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
BoloSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
LixSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
LamportSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
SpurSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
LampsonSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
CalibanSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
VernadatSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
TeufelSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
GaldinSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
TanenbaSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
LuxerionSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
KarmarkarSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
ThafSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
KennedySeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
NormalPlanetNastyPick Tag caused seeding of AIFortress on planet Flint
SpireArchive Tag caused seeding of SpireArchive on planet Karmarkar
************************************************************
DoGameStartLogic
************************************************************
MapgenTime: 149ms
MapGen-2.txt (10,615 bytes)

wm46

Jun 6, 2019 9:08 pm

reporter   ~0051885

And doing a bit of digging, one of the issues with map gen on Big Cirlce is that Big Circle + Constellation Linking = Bad Juju. Sometimes Big Circle works when combined with Dreamcatcher or Original linking, though Original is more unstable than Dreamcatcher. But with Constellation enabled, the generated planet count is always has only like 75% of the expected amount of planets.

BadgerBadger

Jun 7, 2019 12:13 am

manager   ~0051886

I bumped up the circle size and it seems to be happier now

KillerFrogs

Jun 16, 2019 12:34 am

reporter   ~0051916

Had the game give a decently long error log the moment I selected Octopus, map seed was: 83571874, running on windows 7 if that helps.
Took screenshots of the error log.

AIWar2_2019-06-15_21-24-44.png (327,936 bytes)
AIWar2_2019-06-15_21-24-18.png (276,749 bytes)

Issue History

Date Modified Username Field Change
Jun 1, 2019 7:11 am UFO New Issue
Jun 1, 2019 7:11 am UFO File Added: 20190601140840_1.jpg
Jun 3, 2019 8:54 pm x4000Bughunter Note Added: 0051797
Jun 3, 2019 9:10 pm x4000Bughunter Assigned To => x4000Bughunter
Jun 3, 2019 9:10 pm x4000Bughunter Status new => resolved
Jun 3, 2019 9:10 pm x4000Bughunter Resolution open => fixed
Jun 3, 2019 9:10 pm x4000Bughunter Fixed in Version => BETA 0.865 The Return Of Deepstriking
Jun 3, 2019 9:10 pm x4000Bughunter Note Added: 0051798
Jun 4, 2019 4:06 am UFO Note Added: 0051802
Jun 4, 2019 4:25 am UFO File Added: Octopus1.jpg
Jun 4, 2019 4:25 am UFO File Added: Octopus2.jpg
Jun 4, 2019 4:25 am UFO Note Added: 0051803
Jun 4, 2019 9:43 am x4000Bughunter Note Added: 0051804
Jun 4, 2019 4:07 pm UFO File Added: 20190604235928_1.jpg
Jun 4, 2019 4:07 pm UFO Note Added: 0051834
Jun 6, 2019 1:37 pm UFO Note Added: 0051874
Jun 6, 2019 3:00 pm x4000Bughunter Product Version BETA 0.863 Control of Capturables => BETA 0.866 Hotfix
Jun 6, 2019 3:00 pm x4000Bughunter Fixed in Version BETA 0.865 The Return Of Deepstriking =>
Jun 6, 2019 3:00 pm x4000Bughunter Summary Lobby stress test - part 2 => Broken map types (see lowest comments)
Jun 6, 2019 3:02 pm x4000Bughunter Note Added: 0051875
Jun 6, 2019 3:53 pm UFO File Added: ArcenDebugLog.txt
Jun 6, 2019 3:53 pm UFO Note Added: 0051878
Jun 6, 2019 4:28 pm x4000Bughunter Assigned To x4000Bughunter =>
Jun 6, 2019 4:28 pm x4000Bughunter Assigned To => x4000Bughunter
Jun 6, 2019 4:28 pm x4000Bughunter Status resolved => assigned
Jun 6, 2019 4:28 pm x4000Bughunter Note Added: 0051880
Jun 6, 2019 4:30 pm x4000Bughunter Note Added: 0051881
Jun 6, 2019 4:35 pm UFO File Added: MapGen.txt
Jun 6, 2019 4:35 pm UFO Note Added: 0051882
Jun 6, 2019 8:55 pm wm46 File Added: MapGen-2.txt
Jun 6, 2019 8:55 pm wm46 Note Added: 0051884
Jun 6, 2019 9:08 pm wm46 Note Added: 0051885
Jun 7, 2019 12:13 am BadgerBadger Note Added: 0051886
Jun 16, 2019 12:34 am KillerFrogs File Added: AIWar2_2019-06-15_21-24-18.png
Jun 16, 2019 12:34 am KillerFrogs File Added: AIWar2_2019-06-15_21-24-34.png
Jun 16, 2019 12:34 am KillerFrogs File Added: AIWar2_2019-06-15_21-24-44.png
Jun 16, 2019 12:34 am KillerFrogs Note Added: 0051916